<?php
session_start();
include ('private/mysql.php');
include ('tmp/head.php');

if($user['level']<'3'){
    header('Location: pers.php');
    exit;
}


switch($sd){
default:

if($_SESSION['mag']!==''){
    echo $_SESSION['mag'];
    $_SESSION['mag']=null;
}

$q = mysql_query("SELECT * FROM `us_mag` WHERE `user`='$uid'");

While($w = mysql_fetch_assoc($q)){
    
    if($w['level']=='9'){$up="Максимальный уровень";}else{$up="<a href='mymags.php?sd=up&id=$w[id]'>Повысить уровень</a>";}
    
    echo "<span style='float:left'><img src='img/mag/$w[img]'></span>&nbsp;$w[name] ($w[level] ур.)<br>&nbsp;[<a href='info.php?sd=mag&id=$w[id]'>Информация</a>]<br>&nbsp;[$up]<br><br>";
    
}

break;


case 'up':

$q = mysql_query("SELECT * FROM `us_mag` WHERE `id`='$id' and `user`='$uid'");
$e = mysql_num_rows($q);
if($e=='0'){
    header('Location: mymags.php');
    exit;
}
$w = mysql_fetch_assoc($q);

if($w['level']>='9'){
    header('Location: mymags.php');
    exit;
}

$nextm = $w['level']+1;
$nxt = mysql_fetch_assoc(mysql_query("SELECT * FROM `mag` WHERE `mag`='$w[mag]' and `level`='$nextm'"));


echo "<span style='float:left'><img src='img/mag/$w[img]' width='54'></span><span style='float:right'><img src='img/mag/$nxt[img]' width='54'></span><center><br><img src='img/arrow.png'></center><br><hr>";

echo "На $nextm уровне:<br>- - -<br>";
if($w['tip']=='fire'){echo "Наносит текущему противнику урон, <font color=darkred>превосходящий</font> урон от холодного оружия <font color=darkred>на $nxt[min_u]-$nxt[max_u] ед.</font><br>
Использует <font color=#045acf>$nxt[mp] ед. маны.</font>";}
if($w['tip']=='volna'){echo "Наносит текущему противнику урон, <font color=darkred>превосходящий</font> урон от холодного оружия примерно <font color=darkred>на $nxt[min_u]-$nxt[max_u] ед.</font><br>
<font color=#4a770f>Восстанавливает</font> заклинателю <font color=#4a770f>здоровье в размере 18%</font> от нанесенного урона.<br>
Использует <font color=#045acf>$nxt[mp] ед. маны.</font>";}
if($w['tip']=='haos'){echo "Наносит текущему противнику урон, <font color=darkred>превосходящий</font> урон от холодного оружия на <font color=darkred>$nxt[min_u]-$nxt[max_u] ед.</font><br>
Есть <font size=3 color=grey>шанс</font> <font color=#4a770f>восстановить</font> заклинателю <font color=#4a770f>здоровье в размере 100%</font> от нанесенного урона.<br>
Использует 68 <font color=#045acf>$nxt[mp] ед. маны.</font>";}

echo "<hr>Для повышения уровня требуется:<br>- - -<br>";

if($w['level']=='1'){
    $koi = mysql_fetch_assoc(mysql_query("SELECT * FROM `res` WHERE `user`='$uid' and `res`='iskra1'"));
    echo "<span style='float:left'><img src='img/res/iskra.png' width='36'></span>&nbsp;$koi[name] 50шт.<br>&nbsp;У вас: $koi[kol]шт.";
    if($koi['kol']>='50'){echo "<hr><a href='mymags.php?sd=upsucc&id=$w[id]'>Повысить уровень</a>";}
}

if($w['level']=='2'){
    $koi = mysql_fetch_assoc(mysql_query("SELECT * FROM `res` WHERE `user`='$uid' and `res`='iskra1'"));
    echo "<span style='float:left'><img src='img/res/iskra.png' width='36'></span>&nbsp;$koi[name] 200шт.<br>&nbsp;У вас: $koi[kol]шт.";
    if($koi['kol']>='200'){echo "<hr><a href='mymags.php?sd=upsucc&id=$w[id]'>Повысить уровень</a>";}
}

if($w['level']=='3'){
    $koi = mysql_fetch_assoc(mysql_query("SELECT * FROM `res` WHERE `user`='$uid' and `res`='iskra2'"));
    echo "<span style='float:left'><img src='img/res/iskra2.png' width='36'></span>&nbsp;$koi[name] 210шт.<br>&nbsp;У вас: $koi[kol]шт.";
    if($koi['kol']>='210'){echo "<hr><a href='mymags.php?sd=upsucc&id=$w[id]'>Повысить уровень</a>";}
}

if($w['level']=='4'){
    $koi = mysql_fetch_assoc(mysql_query("SELECT * FROM `res` WHERE `user`='$uid' and `res`='iskra2'"));
    echo "<span style='float:left'><img src='img/res/iskra2.png' width='36'></span>&nbsp;$koi[name] 400шт.<br>&nbsp;У вас: $koi[kol]шт.";
    if($koi['kol']>='400'){echo "<hr><a href='mymags.php?sd=upsucc&id=$w[id]'>Повысить уровень</a>";}
}

if($w['level']=='5'){
    $koi = mysql_fetch_assoc(mysql_query("SELECT * FROM `res` WHERE `user`='$uid' and `res`='iskra3'"));
    echo "<span style='float:left'><img src='img/res/iskra3.png' width='36'></span>&nbsp;$koi[name] 410шт.<br>&nbsp;У вас: $koi[kol]шт.";
    if($koi['kol']>='410'){echo "<hr><a href='mymags.php?sd=upsucc&id=$w[id]'>Повысить уровень</a>";}
}

if($w['level']=='6'){
    $koi = mysql_fetch_assoc(mysql_query("SELECT * FROM `res` WHERE `user`='$uid' and `res`='iskra4'"));
    echo "<span style='float:left'><img src='img/res/iskra4.png' width='36'></span>&nbsp;$koi[name] 600шт.<br>&nbsp;У вас: $koi[kol]шт.";
    if($koi['kol']>='600'){echo "<hr><a href='mymags.php?sd=upsucc&id=$w[id]'>Повысить уровень</a>";}
}

if($w['level']=='7'){
    $koi = mysql_fetch_assoc(mysql_query("SELECT * FROM `res` WHERE `user`='$uid' and `res`='iskra4'"));
    echo "<span style='float:left'><img src='img/res/iskra4.png' width='36'></span>&nbsp;$koi[name] 610шт.<br>&nbsp;У вас: $koi[kol]шт.";
    if($koi['kol']>='610'){echo "<hr><a href='mymags.php?sd=upsucc&id=$w[id]'>Повысить уровень</a>";}
}

if($w['level']=='8'){
    $koi = mysql_fetch_assoc(mysql_query("SELECT * FROM `res` WHERE `user`='$uid' and `res`='iskra5'"));
    echo "<span style='float:left'><img src='img/res/iskra5.png' width='36'></span>&nbsp;$koi[name] 900шт.<br>&nbsp;У вас: $koi[kol]шт.";
    if($koi['kol']>='900'){echo "<hr><a href='mymags.php?sd=upsucc&id=$w[id]'>Повысить уровень</a>";}
}

break;


case 'upsucc':
$q = mysql_query("SELECT * FROM `us_mag` WHERE `id`='$id' and `user`='$uid'");
$e = mysql_num_rows($q);
if($e=='0'){
    header('Location: mymags.php');
    exit;
}
$w = mysql_fetch_assoc($q);

if($w['level']>='9'){
    header('Location: mymags.php');
    exit;
}

if($w['level']=='1'){$res="iskra1";$kol=50;}
if($w['level']=='2'){$res="iskra1";$kol=200;}
if($w['level']=='3'){$res="iskra2";$kol=210;}
if($w['level']=='4'){$res="iskra2";$kol=400;}
if($w['level']=='5'){$res="iskra3";$kol=410;}
if($w['level']=='6'){$res="iskra4";$kol=600;}
if($w['level']=='7'){$res="iskra4";$kol=610;}
if($w['level']=='8'){$res="iskra5";$kol=900;}

$rs = mysql_fetch_assoc(mysql_query("SELECT * FROM `res` WHERE `user`='$uid' and `res`='$res'"));
if($rs['kol']<$kol){
    header('Location: mymags.php');
    exit;
}

$nxt = $w['level']+1;
$nm = mysql_fetch_assoc(mysql_query("SELECT * FROM `mag` WHERE `tip`='$w[tip]' and `level`='$nxt'"));


mysql_query("UPDATE `us_mag` SET 
`img`='$nm[img]',
`level`='$nm[level]',
`mp`='$nm[mp]',
`hp`='$nm[hp]',
`min_u`='$nm[min_u]',
`max_u`='$nm[max_u]' WHERE `mag`='$w[mag]' and `user`='$uid'");

mysql_query("UPDATE `res` SET `kol`=`kol`-'$kol' WHERE `user`='$uid' and `res`='$res'");

$_SESSION['mag']="<font color=lightgreen>Вы успешно улучшили магию <b>$w[name]</b> до $nxt уровня</font><hr>";
header('Location: mymags.php');
exit;

break;


}
include ('tmp/foot.php');